Subject: bug#9990: valgrind warning in add_row_entry

From: Eli Zaretskii <[email-masked]>
Date: Fri, 18 Nov 2011 14:44:30 +0200

> From: Dan Nicolaescu <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 15 Nov 2011 11:58:50 -0500
> 
> > If the hash values are always correct where they are used, I guess
> > that excludes the possibility that we use an uninitialized value,
> > right?
> 
> I even added an  xassert (verify_row_hash (row)) in add_row_entry, and
> it does not trigger.  Strange...

I added such an assert to the trunk.  I also fixed a couple of
functions that were destroying the validity of hash codes while
manipulating glyph rows.

Could you please see if valgrind still complains about add_row_entry
with the current trunk?